Crypto++ 8.9 Free C++ class library of cryptographic schemes

Public Types | List of all members
XChaCha20 Struct Reference

IETF XChaCha20 stream cipher. More...

Inheritance diagram for XChaCha20:

## Public Types
typedef SymmetricCipherFinal< ConcretePolicyHolder< XChaCha20_Policy, AdditiveCipherTemplate<> >, XChaCha20_Info > | Encryption
| XChaCha Encryption.
typedef Encryption | Decryption
| XChaCha Decryption.
Public Types inherited from SymmetricCipherDocumentation
typedef SymmetricCipher | Encryption
| implements the SymmetricCipher interface
typedef SymmetricCipher | Decryption
| implements the SymmetricCipher interface

## Additional Inherited Members
Static Public Member Functions inherited from XChaCha20_Info
static const char * | StaticAlgorithmName ()
| The algorithm name. More...
Static Public Member Functions inherited from FixedKeyLength< 32, SimpleKeyingInterface::UNIQUE_IV, 24 >
static size_t | StaticGetValidKeyLength (size_t keylength)
| The default key length for the algorithm provided by a static function. More...
Static Public Attributes inherited from FixedKeyLength< 32, SimpleKeyingInterface::UNIQUE_IV, 24 >
static const int | KEYLENGTH
| The default key length used by the algorithm provided as a constant. More...
static const int | MIN_KEYLENGTH
| The minimum key length used by the algorithm provided as a constant. More...
static const int | MAX_KEYLENGTH
| The maximum key length used by the algorithm provided as a constant. More...
static const int | DEFAULT_KEYLENGTH
| The default key length used by the algorithm provided as a constant. More...
static const int | IV_REQUIREMENT
| The default IV requirements for the algorithm provided as a constant. More...
static const int | IV_LENGTH
| The default IV length used by the algorithm provided as a constant. More...

## Detailed Description

IETF XChaCha20 stream cipher.

This is the IETF's XChaCha from draft-arciszewski-xchacha.

See also
  XChaCha: eXtended-nonce ChaCha and AEAD_XChaCha20_Poly1305 (rev. 03), How to handle block counter wrap in IETF's ChaCha algorithm? and Issue 790, ChaCha20 results when counter block wraps.

Since
  Crypto++ 8.1

Definition at line 213 of file chacha.h.

The documentation for this struct was generated from the following file:

- chacha.h